- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Nl Class Reference

The in-memory representation of the <nl> element. More...

`#include <OSInstance.h>`

Collaboration diagram for Nl:

[legend]
List of all members.

## Public Member Functions
| Nl ()
| default constructor.
| ~Nl ()
| default destructor.
bool | IsEqual (Nl *that)
| A function to check for the equality of two objects.
| Nl ()
| default constructor.
| ~Nl ()
| default destructor.
## Public Attributes
int | idx
| idx holds the row index of the nonlinear expression
bool | m_bDeleteExpressionTree
| m_bDeleteExpressionTree is true, if in garbage collection, we should delete the osExpression tree object, if the OSInstance class created a map of the expression trees this should be false since the osExpressionTree is deleted by the OSInstance object
OSExpressionTree * | osExpressionTree
| osExpressionTree contains the root of the OSExpressionTree
OSExpressionTree * | osExpressionTree
| osExpressionTree contains the root of the OSExpressionTree

## Detailed Description

The in-memory representation of the <nl> element.

Definition at line 436 of file OSInstance.h.

## Constructor & Destructor Documentation

Nl::Nl | ( |  | ) |

default constructor.

Definition at line 649 of file OSInstance.cpp.

References idx, m_bDeleteExpressionTree, and osExpressionTree.

Nl::~Nl | ( |  | ) |

default destructor.

Definition at line 656 of file OSInstance.cpp.

References m_bDeleteExpressionTree, and osExpressionTree.

Nl::Nl | ( |  | ) |

default constructor.

Nl::~Nl | ( |  | ) |

default destructor.

## Member Function Documentation

bool Nl::IsEqual | ( | Nl * | that | ) |

A function to check for the equality of two objects.

Definition at line 5412 of file OSInstance.cpp.

References idx, and osExpressionTree.

## Member Data Documentation

int Nl::idx

idx holds the row index of the nonlinear expression

Definition at line 439 of file OSInstance.h.

Referenced by OSgams2osil::createOSInstance(), OSInstance::getAllNonlinearExpressionTrees(), IsEqual(), main(), Nl(), and OSInstance::setQuadraticTermsInNonlinearExpressions().

bool Nl::m_bDeleteExpressionTree

m_bDeleteExpressionTree is true, if in garbage collection, we should delete the osExpression tree object, if the OSInstance class created a map of the expression trees this should be false since the osExpressionTree is deleted by the OSInstance object

Definition at line 446 of file OSInstance.h.

Referenced by OSInstance::getAllNonlinearExpressionTrees(), Nl(), and ~Nl().

OSExpressionTree* Nl::osExpressionTree

osExpressionTree contains the root of the OSExpressionTree

Definition at line 449 of file OSInstance.h.

Referenced by OSgams2osil::createOSInstance(), OSInstance::getAllNonlinearExpressionTrees(), IsEqual(), main(), Nl(), OSInstance::setQuadraticTermsInNonlinearExpressions(), and ~Nl().

OSExpressionTree* Nl::osExpressionTree

osExpressionTree contains the root of the OSExpressionTree

Definition at line 401 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp